# Template. Can be reused
.buildah-build:
  stage: build
  image: quay.io/buildah/stable
  variables:
    platform_arch: linux/arm64,linux/amd64
    buildah_format: "docker"
    registry: $REGISTRY
    home: $CI_BUILDS_DIR
#  only:
#    refs:
#      - main
#    changes:
#      - Dockerfile
  script:
    - buildah build --jobs=2 --layers --cache-ttl 24h --cache-to $REPOSITORY_CACHE --cache-from $REPOSITORY_CACHE --platform=$platform_arch --manifest buildah-bud --format=docker .
    - buildah tag localhost/buildah-bud $REPOSITORY:$IMAGE_TAG
    - buildah manifest rm localhost/buildah-bud
    - buildah manifest push --all $REPOSITORY:$IMAGE_TAG docker://$REPOSITORY:$IMAGE_TAG
    - buildah logout $REGISTRY
  after_script:
    - echo "Bye 🚀"
